
// -------------------------------------------------- Fonts
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,400&display=swap');
// -------------------------------------------------- Core
@import "bootstrap/functions";
@import "custom/functions";

// @import "bootstrap/variables";
@import "variables/custom-variables";
@import "custom/variables";

@import "bootstrap/mixins";
@import "custom/mixins";

// -------------------------------------------------- Bootstrap components
@import "bootstrap/bootstrap-core";

// -------------------------------------------------- Bootstrap Vue
@import 'node_modules/bootstrap-vue/src/index.scss';

// -------------------------------------------------- Custom components
@import "custom/reboot.scss";
@import "custom/global.scss";
@import "custom/utilities.scss";

@import "custom/accordion.scss";
@import "custom/alerts.scss";
@import "custom/avatars.scss";
@import "custom/badge.scss";
@import "custom/buttons.scss";
@import "custom/card.scss";
@import "custom/carousel.scss";
@import "custom/close.scss";
@import "custom/custom-forms.scss";
@import "custom/dropdown.scss";
@import "custom/footer.scss";
@import "custom/forms.scss";
@import "custom/grid.scss";
// @import "custom/icons.scss";
@import "custom/input-group.scss";
@import "custom/list-group.scss";
// @import "custom/modal.scss";
@import "custom/nav.scss";
@import "custom/navbar.scss";
@import "custom/pagination.scss";
// @import "custom/popover.scss";
// @import "custom/progress.scss";
@import "custom/section.scss";
@import "custom/type.scss";

// -------------------------------------------------- Vendor
// @import "custom/vendor/flatpickr.scss";
// @import "custom/vendor/headroom.scss";
// @import "custom/vendor/nouislider.scss";
@import "custom/vendor/slick-theme.scss";



// -------------------------------------------------- class add

.text-small {
  font-size: $font-size-sm;
}

.slider-test_figure {
  @extend .m-0;
  @extend .w-100;
  height: 35vh;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;

  @include media-breakpoint-up(md) {
    height: 80vh;

    &::after {
      content: '';
      position: absolute;
      z-index: 0;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      background: rgba(black, .5);
      background: linear-gradient(0deg, rgba(black, .2) 0%, rgba(black, .2) 100%);
    }
  }
}

// .carousel-caption {
//   bottom: 20%;
// }

.lpx-lg-14 {
  @extend .mx-auto;
  max-width: 800px;
}

.section-marketing {
  padding: 15px;
}

.section-punny_light {
  background:
    linear-gradient(rgba(white, .3), rgba($white, .3)),
    url(https://source.unsplash.com/bKjHgo_Lbpo/1900x800) center bottom
  ; 
  background-size: cover;
  min-height: 60vh;
}

.section-punny_dark {
  background:
    linear-gradient(rgba(black, .6), rgba($black, .6)),
    url(https://source.unsplash.com/PhYq704ffdA/1900x800) center
  ;
  background-size: cover;
  min-height: 60vh;
}

.section-punny_color {
  background:
    linear-gradient(rgba($primary, .7), rgba($primary, .7)),
    url(https://source.unsplash.com/CSpjU6hYo_0/1900x800)
  ;
  background-size: cover;
  min-height: 60vh;
}

.mt-n13 {
  margin-top: -8rem!important;
}

.mr-6, .mx-6 {
  margin-right: 3rem!important;
}

.display-title {
  @extend .mb-5;
  @extend .ml-5;
  @extend .position-absolute;
  bottom: 100%;
  left: 0;
}

.heading-caption {
  @extend .clearfix;
  position: absolute;
  bottom: 0;
  left: 0;
  width: 80%;
  padding: 2rem;
  background-color: white;
}

.bg-dark-radial {
  background: $gray-900;
  background: radial-gradient(at center 95%, $gray-800 0%, $gray-900 60%);
}

.bg-light-gradient {
  background: $gray-100;
  background: linear-gradient(bottom, $gray-300 0%, $gray-100 60%);
}

.block-heading {
  @extend .overflow-hidden;
  @extend .mx-auto;
  @extend .shadow-sm;
  width: 100%;
  height: 300px;
  border-radius: 21px 21px 0 0;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;

  &-1 {
    @extend .block-heading;
    background-image: url(https://source.unsplash.com/IyaNci0CyRk/700x500);
  }

  &-2 {
    @extend .block-heading;
    background-image: url(https://source.unsplash.com/muOHbrFGEQY/700x500);
  }

  &-3 {
    @extend .block-heading;
    height: 500px;
    background-image: url(https://source.unsplash.com/CSpjU6hYo_0/850x850);
  }

  &-4 {
    @extend .block-heading;
    height: 500px;
    background-image: url(https://source.unsplash.com/v7daTKlZzaw/850x850);
  }
}

.embed-responsive-map {
  padding-bottom: 60vh;
}

.iframe-full-height-wrap {
  min-height: 18rem;
  overflow: hidden;
}

.iframe-full-height {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

iframe {
  width: 100%;
  border: 0;
}

.min-h-40 {
  min-height: 40rem;
}


.shape-bottom {
  right: 0;
  bottom: 0;
  left: 0;
}

.shape {
  position: absolute;
  pointer-events: none;
}

.shape:not([class*=shape-blur])>* {
  transform: scale(2);
}

.shape-fluid-x>* {
  width: 100%;
  height: auto;
}

.shape-bottom>* {
  transform-origin: top center;
}

.label-p {
  position: absolute;
  bottom: 100%;
  right: 0;
  padding: 10px 15px;
  margin: 0;
  background-color: white;
  font-size: 1.3rem;
  line-height: 1;

  small {
    font-size: .9rem;
    text-decoration: line-through;
    margin-right: 1rem;
    color: $gray-600;
  }
}


.box-img {
  position: relative;
  width: 100%;

  &::after {
    content: '';
    display: block;
    padding-bottom: 100%;
  }

  &__img {
    position: absolute;
    width: 100%;
    height: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    cursor: pointer;
    @extend .rounded;
  }
}


.img-box-1 {
  width: 100%;
  height: 20em;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  cursor: pointer;
}

.img-box-2 {
  width: 100%;
  height: 6em;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-size: 95% auto;
  cursor: pointer;
}

.img-box-3 {
  width: 100%;
  height: 30em;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  cursor: pointer;
  @extend .rounded;
}

.img-box-4 {
  width: 100%;
  height: 5em;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  cursor: pointer;
  @extend .rounded;
}

// AppFooter
.footer-partners {
  background-color: $gray-100;
  border-top: solid 1px $gray-300;
}

.footer-paiement {
  background-color: $gray-100;
  border-top: solid 1px $gray-300;

  img {
    margin: 2rem;
    height: 40px;
    opacity: .3;
  }
}


// Login page panier

.log-panel {
  margin: 5rem auto;
  width: 100%;
  max-width: 30rem;
  padding: 4rem;
  background-color: $gray-100;
  border: solid 1px $gray-200;
  border-radius: $border-radius;
}


// Panel commentaire (livre d'or)

.panel-comment {
  margin: 5rem auto;
  width: 100%;
  max-width: 45rem;
  padding: 4rem;
  background-color: $gray-100;
  border: solid 1px $gray-200;
  border-radius: $border-radius;
}

.container-form-sm {
  margin: 0 auto;
  max-width: 25rem;
}


// Caddie

.recap {
  top: 5rem;
  z-index: 0;
}

.recap-table {
  margin: 0 0 2rem;
  width: 100%;
  font-size: .8rem;

  select {
    max-width: 100px;
  }

  td,
  th {
    padding: .6rem;
    border-bottom: solid 1px $gray-200;
  }

  .tr--b-top {
    border-top: solid 3px $gray-200;
  }

  @include media-breakpoint-down(md) {
    
    thead,
    .td-md {
      display: none;
    }

    td,
    th {
      padding: .5rem;
      border: none;
      border-bottom: solid 1px $gray-200;
    }

    tr{
      display: block;
      overflow: hidden;

      &.tr-responsive {
        border-bottom: solid 3px $gray-200;
        margin-bottom: 2rem;
      }

      &.tr--b-top {
        border-top: none;
      }
    }

    td {
      display: block;
      text-align: right;
    }

    td:before {
      content: attr(data-label);
      float: left;
      font-weight: 700;
    }
  }
}

.recap-caddie {
  margin: 0 0 5rem;
}

.recap-caddie__line {
  display: flex;

  span {
    width: 100%;
    flex-grow: 1;
    padding: .5rem 0;
    margin: 0;
    border-bottom: solid 1px $gray-300;
  }
}

.recap-panel {
  width: 100%;
  margin: 0 auto;
  max-width: 30rem;
  padding: 1.5rem;
  background-color: $gray-100;
  border: solid 1px $gray-200;
  border-radius: $border-radius;
  font-size: .9rem;
}

.payment-methods {
  background-color: $gray-100;
  margin-top: 1rem;
  padding: 1.5rem;
  border-radius: $border-radius;

  img {
    margin-right: .5rem;
    height: 35px;
    opacity: .5;
  }
}

.sub-panel {
  width: 100%;
  margin: 0 auto;
  max-width: 80rem;
  padding: 1.5rem;
}

.lh-sm {
  line-height: 1.2;
}

.panel-actu {
  margin: 0 auto;
  width: 70rem;
  max-width: 100%;

  &--lg {
    width: auto;
  }
}

.container-sm {
  margin: 0 auto;
  max-width: 40rem;
}

.dropdown-submenu {
    position: relative;
}

.dropdown-submenu .dropdown-menu {
    top: 0;
    left: 100%;
    margin-top: -1px;
}

.b-nav-dropdown {
  margin-left: 0 !important;
  padding-left: .5rem;
}

.dropdown-menu {
  left: -1px;
}